Bug 2558 - gendiff gets confused by SUFFIX in the upmost directory name
: gendiff gets confused by SUFFIX in the upmost directory name
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rpm-build)
: unstable
: all Linux
: P5 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-05-04 00:51 by
Modified: 2005-07-13 15:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-05-04 00:51:28
gendiff d.SUFFIX .SUFFIX

called in a directory where both

d.SUFFIX
d

exist, doesn\'t not produce the expected. I expect the output not to depend on the contents of d, but the output includes the difference between d and d.SUFFIX.

---

---
rpm-build-4.0.4-alt16

To fight this, I suggest the enhancement:

--- /usr/bin/gendiff    2003-05-04 00:48:31 +0400
+++ /usr/bin/gendiff.depth0     2003-05-04 00:41:38 +0400
@@ -11,7 +11,7 @@
 
 [ -z \"$3\" ] || echo >\"$RPM/SOURCES/$1-$3.patch\"
 
-find \"$1\" -mindepth 1 \\( -name \"*$2\" -o -name \".*$2\" \\) -print |
+find \"$1\" \\( -name \"*$2\" -o -name \".*$2\" \\) -print |
 while read fin; do
        fou=`echo \"$fin\" |sed -e \"s/$2\\$//\"`;
        [ -r \"$fin\" ] || fin=\"/dev/null\"

------- Comment #1 From 2003-09-27 21:52:58 -------
Fixed in rpm-build-4.0.4-alt26